Subject: bug#4994: 23.1.50; reftex-isearch-minor-mode does not restore to the original point

From: Leo <[email-masked]>
Date: Fri, 20 Nov 2009 17:34:46 +0000

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

1. (reftex-isearch-minor-mode t)

2. now search a string in a LaTeX project that is split (via \input
or \include) into many files

3. C-g to quit

and you will see point can be left in a new buffer.

For example, from the master file I initialised an isearch and when the
point jumped to chap1.tex, I hit C-g. Point was left in chap1.tex
instead of the original buffer where the command started.

I am surprised by this behaviour so I'm wondering whether this is a bug.

Best wishes,

Leo

================================

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-09-22 on neutron.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t